﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.NewsCategory>
@using MvcWebsiteOcc.Models;
@{
    IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.NewsCategory> allCates = ViewBag.AllCates;
    }
<!-- SIDEBAR -->
<aside class="col-md-3 sidebar" id="sidebar">
    <div class="widget shadow car-categories">
        <h4 class="widget-title">@Html.Localize("danhmuc")</h4>
        <div class="widget-content">
            <ul>
                @{foreach (var item in Model)
                  {
                      if (item.News.Count > 0)
                      {
                    <li>
                        <a href="/tin-tuc/chuyen-muc/@OccConvert.LayUrl(item.NewsCatName, item.NewCatID)">@item.NewsCatName<span class="count">@item.News.Count</span></a>
                    </li>
                      }
                      else
                      {
                          var link = allCates.FirstOrDefault(p=>p.NewCatID == item.LinkID);
                          if (link != null)
                          {
                              <li>
                        <a href="/tin-tuc/chuyen-muc/@OccConvert.LayUrl(item.NewsCatName, int.Parse(item.LinkID.ToString()))">@item.NewsCatName<span class="count">@link.News.Count</span></a>
                    </li>
                          }
                          else
                          {
                              <li>
                        <a href="/tin-tuc/chuyen-muc/@OccConvert.LayUrl(item.NewsCatName, int.Parse(item.LinkID.ToString()))">@item.NewsCatName<span class="count">@item.News.Count</span></a>
                    </li>
                          }
                    
                      }

                  }}

            </ul>
        </div>
    </div>
    <!-- /widget archive -->
    <!-- widget tabs -->
    @{Html.RenderAction("_hot_news", "common");}

    <!-- /widget tabs -->

    @{Html.RenderAction("_right_sidebar_hotline", "common");}

    <!-- widget tag cloud -->
    <div class="widget widget-tag-cloud">
        <h4 class="widget-title"><span>Tags</span></h4>
        <ul>
            <li><a href="#">Ford</a></li>
            <li><a href="#">Porsche</a></li>
            <li><a href="#">BMW</a></li>
            <li><a href="#">Audi</a></li>
            <li><a href="#">Honda</a></li>
            <li><a href="#">Toyota</a></li>
            <li><a href="#">Lexus</a></li>
            <li><a href="#">Mitsubishi</a></li>
            <li><a href="#">Nissan</a></li>
            <li><a href="#">Opel</a></li>
            <li><a href="#">Rolls-Royce</a></li>
        </ul>
    </div>
    <!-- /widget tag cloud -->
</aside>
<!-- /SIDEBAR -->
